Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.aop.interceptors
Class PojoEvictionInterceptor

    java.lang.Object
      org.jboss.cache.interceptors.Interceptor
          org.jboss.cache.interceptors.EvictionInterceptor
              org.jboss.cache.aop.interceptors.PojoEvictionInterceptor

All Implemented Interfaces:
  InterceptorMBean

    public class PojoEvictionInterceptor

extends EvictionInterceptor

AOP specific eviction interceptor implementation.

Author:
  Daniel Huang (dhuang@jboss.org)

Nested Class Summary
`protected class` | `PojoEvictionInterceptor.PojoGetKeyEvictionMethodHandler`
`protected class` | `PojoEvictionInterceptor.PojoGetNodeEvictionMethodHandler`
`protected class` | `PojoEvictionInterceptor.PojoPutDataEraseEvictionMethodHandler`
`protected class` | `PojoEvictionInterceptor.PojoPutDataEvictionMethodHandler`
`protected class` | `PojoEvictionInterceptor.PojoPutKeyEvictionMethodHandler`
`protected class` | `PojoEvictionInterceptor.PojoRemoveKeyEvictionMethodHandler`
`protected class` | `PojoEvictionInterceptor.PojoRemoveNodeEvictionMethodHandler`

Nested classes/interfaces inherited from class org.jboss.cache.interceptors.EvictionInterceptor
`EvictionInterceptor.EvictionMethodHandler, EvictionInterceptor.GetKeyEvictionMethodHandler, EvictionInterceptor.GetNodeEvictionMethodHandler, EvictionInterceptor.PutDataEraseEvictionMethodHandler, EvictionInterceptor.PutDataEvictionMethodHandler, EvictionInterceptor.PutKeyEvictionMethodHandler, EvictionInterceptor.RemoveKeyEvictionMethodHandler, EvictionInterceptor.RemoveNodeEvictionMethodHandler`

Field Summary

Fields inherited from class org.jboss.cache.interceptors.EvictionInterceptor
`evictionMethodHandlers, regionManager`

Constructor Summary
`PojoEvictionInterceptor()`

Method Summary
`void` | `setCache(TreeCache cache)`

Methods inherited from class org.jboss.cache.interceptors.EvictionInterceptor
`canIgnoreEvent, doEventUpdatesOnRegionManager, extractEvent, invoke, updateNode`

Methods inherited from class org.jboss.cache.interceptors.Interceptor
`dumpStatistics, getInvocationContext, getNext, getStatisticsEnabled, isActive, isBuddyGroupOrganisationMethod, isOnePhaseCommitPrepareMehod, isPreparing, isTransactionLifecycleMethod, isValid, resetStatistics, setInvocationContext, setNext, setStatisticsEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PojoEvictionInterceptor

    public PojoEvictionInterceptor()

Method Detail

### setCache

    public void setCache(TreeCache cache)

  Overrides:
    `setCache` in class `EvictionInterceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.